#ifndef bisq_sizes_h
#define bisq_sizes_h

/*
 * This is Bisqwit's generic sizes.h.
 * The same file is used in many different projects.
 *
 * sizes.h version 1.1.1
 */

#ifdef DJGPP
typedef unsigned char uint8_t;
typedef unsigned char uint_fast8_t;
typedef unsigned short uint16_t;
typedef unsigned long uint32_t;
typedef unsigned int uint_fast16_t;
typedef signed char int8_t;
typedef signed short int16_t;
typedef signed long int32_t;
#else
#include <stdint.h>
#endif

/*
 * Copyright (C) 1992,2000 Bisqwit (http://iki.fi/bisqwit/)
 * No warranty. You are free to modify this source, and to
 * distribute modified sources, as long as you keep the
 * existing copyright messages intact and as long as you
 * remember to add your own copyright markings.
 * 
 * This text may only apply to this file (sizes.h).
 */

typedef uint8_t        BYTE;
typedef uint_fast8_t  fBYTE;
typedef uint16_t       WORD;
typedef uint_fast16_t fWORD;
typedef uint32_t      DWORD;
typedef int8_t        SBYTE;
typedef int16_t       SWORD;
typedef int32_t      SDWORD;

#endif
